## xb-value-bindings xb-value-bindings |

## Functions

#define | XB_VALUE_BINDINGS_INIT
void | xb_value_bindings_init ()
void | xb_value_bindings_clear ()
XbValueBindings * | xb_value_bindings_copy ()
void | xb_value_bindings_free ()
gboolean | xb_value_bindings_is_bound ()
void | xb_value_bindings_bind_str ()
void | xb_value_bindings_bind_val ()
gboolean | xb_value_bindings_lookup_opcode ()
gboolean | xb_value_bindings_copy_binding ()

## Types and Values

| XbValueBindings

## Description

## Functions

### XB_VALUE_BINDINGS_INIT

    #define XB_VALUE_BINDINGS_INIT() { 0, { NULL, NULL }, 0, { NULL, NULL }, 0, { NULL, NULL }, 0, { NULL, NULL }, { NULL, } }

Static initialiser for XbValueBindings so it can be used on the stack.

Use it in association with `g_auto()`, to ensure the bindings are freed once finished with:

    1
    2
    3
    g_auto(XbValueBindings) bindings = XB_VALUE_BINDINGS_INIT ();

    xb_value_bindings_bind_str (&bindings, 0, "test", NULL);

Since: 0.3.0

### xb_value_bindings_init ()

    void
    xb_value_bindings_init (XbValueBindings *self);

### xb_value_bindings_clear ()

    void
    xb_value_bindings_clear (XbValueBindings *self);

### xb_value_bindings_copy ()

    XbValueBindings *
    xb_value_bindings_copy (XbValueBindings *self);

### xb_value_bindings_free ()

    void
    xb_value_bindings_free (XbValueBindings *self);

### xb_value_bindings_is_bound ()

    gboolean
    xb_value_bindings_is_bound (XbValueBindings *self,
                                guint idx);

### xb_value_bindings_bind_str ()

    void
    xb_value_bindings_bind_str (XbValueBindings *self,
                                guint idx,
                                const gchar *str,
                                GDestroyNotify destroy_func);

### xb_value_bindings_bind_val ()

    void
    xb_value_bindings_bind_val (XbValueBindings *self,
                                guint idx,
                                guint32 val);

### xb_value_bindings_lookup_opcode ()

    gboolean
    xb_value_bindings_lookup_opcode (XbValueBindings *self,
                                     guint idx,
                                     XbOpcode *opcode_out);

### xb_value_bindings_copy_binding ()

    gboolean
    xb_value_bindings_copy_binding (XbValueBindings *self,
                                    guint idx,
                                    XbValueBindings *dest,
                                    guint dest_idx);

## Types and Values

### XbValueBindings

    typedef struct {
    } XbValueBindings;

An opaque struct which contains values bound to a query.

Since: 0.3.0